
Application: gvSIG desktop - gvSIG bugs #4223
El pintado de capas no se cancela al ejecutar otro pintado
06/09/2016 08:14 AM - Lluís Marqués

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document view
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2428 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

El pintado sobre vistas se debería de cancelar si se realiza otra acción que requiere de nuevo un pintado, por ejemplo cuando se
realizan varios zooms consecutivos. Lo que ocurre ahora es que cuando se ejecuta una acción de pintado no se cancela si se realiza
una nueva acción de pintado.
Pasos para reproducir el error:
    -  Crear una vista y maximizarla.
    -  Cargar una capa que cueste de pintar algunos segundos.
    -  Realizar un zoom a la capa y esperar a que se pinte por completo
    -  Minimizar la ventana y mientras se pinta la capa maximizar de nuevo.

Hasta que el primer pintado (el del minimizado) no termina no se ejecuta el segundo pintado (maximizado).

History
#1 - 07/25/2016 07:18 PM - Álvaro Anguix
- Category set to Document view

#2 - 08/04/2023 11:48 AM - Álvaro Anguix
- Status changed from New to Closed

en builds actuales, 3325, no ocurre este comportamiento
